import 'package:flutter/material.dart';

class PlantRowHorizontalWater extends StatelessWidget {
  final List<double> waterConsumption;

  const PlantRowHorizontalWater({
    Key? key,
    required this.waterConsumption,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(children: [
      for (var item in waterConsumption)
        Container(
          margin: const EdgeInsets.all(5),
          height: 50,
          width: 160,
          color: Colors.brown,
          child: Flex(
            direction: Axis.horizontal,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Image.asset(
                'lib/assets/layout/horizontal-water-pipe-64.png',
              ),
              Text("$item m", style: const TextStyle(color: Colors.white)),
            ],
          ),
        )
    ]);
  }
}
